Bug 1657533 - Review Request: genesis-simulator - A general purpose simulation platform
Summary: Review Request: genesis-simulator - A general purpose simulation platform
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-12-09 18:47 UTC by Ankur Sinha (FranciscoD)
Modified: 2019-01-16 02:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-27 01:50:47 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2018-12-09 18:47:47 UTC
Spec URL: https://ankursinha.fedorapeople.org/genesis-simulator/genesis-simulator.spec
SRPM URL: https://ankursinha.fedorapeople.org/genesis-simulator/genesis-simulator-2.4-1.git374cdbc.fc29.src.rpm

Description: 
GENESIS (short for GEneral NEural SImulation System) is a general
purpose simulation platform that was developed to support the
simulation of neural systems ranging from subcellular components and
biochemical reactions to complex models of single neurons, simulations
of large networks, and systems-level models. As such, GENESIS, and its
version for parallel and networked computers (PGENESIS) was the first
broad scale modeling system in computational biology to encourage
modelers to develop and share model features and components. Most
current GENESIS applications involve realistic simulations of
biological neural systems. Although the software can also model more
abstract networks, other simulators are more suitable for
backpropagation and similar connectionist modeling.


Fedora Account System Username: ankursinha


Rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=31371207

Comment 1 Robert-André Mauchin 2018-12-12 16:27:27 UTC
 - Add the date of your snapshot in Release:

Release:    1.20181209git374cdbc%{?dist}

 - Add a BR for gcc

 - Add these licenses and add the license breakdown in comment

BSD (unspecified)
-----------------
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/diskio/interface/netcdf/netcdf-3.4/copyright.html
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/diskio/interface/netcdf/netcdf-3.4/src/libsrc/netcdf.h


MIT (old)
---------
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/newconn/fac_debug.h
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/newconn/fac_defs.h
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/newconn/fac_ext.h
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/newconn/fac_struct.h
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/newconn/facsynchan.c
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/param/LICENSE
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/param/gen2spk.c
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/param/param_defs.h
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/param/param_ext.h
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/param/param_struct.h
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/param/param_utils.c
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/param/paramlib.g
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/param/paramtableBF.c
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/param/paramtableCG.c
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/param/paramtableGA.c
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/param/paramtableSA.c
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/param/paramtableSS.c
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/param/shapematch.c
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/param/spkcmp.c

NTP License
-----------
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/contrib/xplot/main.c
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/contrib/xplot/psdriver.c
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/pgenesis/src/par/tvdefs.h

Public domain
-------------
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/Scripts/VAnet2/README.html
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/Scripts/chemesis/CalTut.html
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/Scripts/chemesis/README.html
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/Scripts/gpython-tools/README-gipyplot.html
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/Scripts/gpython-tools/README.html
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/Scripts/gpython-tools/examples/README.html
genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/Scripts/stdp_rules/README.html




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======%
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Public domain", "*No copyright* GPL (v2 or later)", "GPL (v2)
     (with incorrect FSF address)", "Unknown or generated", "GPL (v2.1 or
     later) GNU Lesser General Public License (v2.1 or later)", "GNU
     General Public License", "GNU Lesser General Public License (v2 or
     later)", "BSD (unspecified)", "*No copyright* GNU Lesser General
     Public License (v2.1)", "GPL (v2 or later) (with incorrect FSF
     address)", "MIT (old)", "NTP License", "GNU Lesser General Public
     License". 2321 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/genesis-simulator/review-
     genesis-simulator/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 81920 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in genesis-
     simulator-devel , genesis-simulator-doc , genesis-simulator-debuginfo
     , genesis-simulator-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: genesis-simulator-2.4-1.git374cdbc.fc30.x86_64.rpm
          genesis-simulator-devel-2.4-1.git374cdbc.fc30.x86_64.rpm
          genesis-simulator-doc-2.4-1.git374cdbc.fc30.noarch.rpm
          genesis-simulator-debuginfo-2.4-1.git374cdbc.fc30.x86_64.rpm
          genesis-simulator-debugsource-2.4-1.git374cdbc.fc30.x86_64.rpm
          genesis-simulator-2.4-1.git374cdbc.fc30.src.rpm
genesis-simulator.x86_64: W: spelling-error %description -l en_US subcellular -> sub cellular, sub-cellular, cellular
genesis-simulator.x86_64: W: spelling-error %description -l en_US backpropagation -> back propagation, back-propagation, propagation
genesis-simulator.x86_64: W: spelling-error %description -l en_US connectionist -> connection, constructionist, protectionist
genesis-simulator.x86_64: W: dangling-relative-symlink /usr/lib/.build-id/26/4337a792ea3630861fa0b022b2b50b72bd32d8 ../../../../usr/lib64/genesis/lib/code_g
genesis-simulator.x86_64: W: dangling-relative-symlink /usr/lib/.build-id/29/1884b5b6a52b45ef93f0b6cfa9a947441c4395 ../../../../usr/lib64/genesis/lib/code_lib
genesis-simulator.x86_64: W: dangling-relative-symlink /usr/lib/.build-id/3e/c97eeee0d44bbdb21028f3d76f918aac0e51c4 ../../../../usr/lib64/genesis/lib/code_func
genesis-simulator.x86_64: W: dangling-relative-symlink /usr/lib/.build-id/db/cc93dd4bf773868cf0b29f5ad33a8d3e5ed899 ../../../../usr/lib64/genesis/lib/code_sym
genesis-simulator.x86_64: W: hidden-file-or-dir /usr/lib64/genesis/startup/.minsimrc
genesis-simulator.x86_64: W: hidden-file-or-dir /usr/lib64/genesis/startup/.nxsimrc
genesis-simulator.x86_64: W: hidden-file-or-dir /usr/lib64/genesis/startup/.simrc
genesis-simulator.x86_64: W: no-manual-page-for-binary genesis
genesis-simulator-devel.x86_64: W: no-documentation
genesis-simulator-devel.x86_64: E: zero-length /usr/include/genesis/basic_g@.h
genesis-simulator-devel.x86_64: E: zero-length /usr/include/genesis/personal_g@.h
genesis-simulator-devel.x86_64: E: zero-length /usr/include/genesis/shell_g@.h
genesis-simulator-devel.x86_64: E: zero-length /usr/include/genesis/simconn_g@.h
genesis-simulator-devel.x86_64: E: zero-length /usr/include/genesis/synapse_g@.h
genesis-simulator-devel.x86_64: E: zero-length /usr/include/genesis/toolconn_g@.h
genesis-simulator-devel.x86_64: E: zero-length /usr/include/genesis/tools_g@.h
genesis-simulator-devel.x86_64: E: zero-length /usr/include/genesis/xo_g@.h
genesis-simulator-doc.noarch: E: incorrect-fsf-address /usr/share/doc/genesis-simulator-doc/Scripts/VAnet2/copying.txt
genesis-simulator-doc.noarch: E: incorrect-fsf-address /usr/share/doc/genesis-simulator-doc/Scripts/kinetikit/GPL-2.0
genesis-simulator.src: W: spelling-error %description -l en_US subcellular -> sub cellular, sub-cellular, cellular
genesis-simulator.src: W: spelling-error %description -l en_US backpropagation -> back propagation, back-propagation, propagation
genesis-simulator.src: W: spelling-error %description -l en_US connectionist -> connection, constructionist, protectionist
6 packages and 0 specfiles checked; 10 errors, 15 warnings.

Comment 2 Ankur Sinha (FranciscoD) 2018-12-12 23:25:35 UTC
(In reply to Robert-André Mauchin from comment #1)

Thanks for the review Robert.

>  - Add the date of your snapshot in Release:
> 
> Release:    1.20181209git374cdbc%{?dist}

Updated.

> 
>  - Add a BR for gcc

Updated.

> 
>  - Add these licenses and add the license breakdown in comment
> 
> BSD (unspecified)
> -----------------
> genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/diskio/
> interface/netcdf/netcdf-3.4/copyright.html
> genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/diskio/

> interface/netcdf/netcdf-3.4/src/libsrc/netcdf.h

This is bundled netcdf that we do not use. We delete it in %prep.


> MIT (old)
> ---------
> genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/newconn/
> fac_debug.h
..

Added.


> 
> NTP License
> -----------
> genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/contrib/
> xplot/main.c
> genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/src/contrib/
> xplot/psdriver.c

This is another piece of bundled software that we delete in %prep

> genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/pgenesis/src/par/tvdefs.h

This is in "pgenesis", not genesis. (It's in the git tar, but we only build genesis)


> 
> Public domain
> -------------
> genesis-2.4-374cdbc7971ccffa0a0fe270ce9904e30c0802dc/genesis/Scripts/VAnet2/
> README.html

Added.


Updated spec/srpm:

https://ankursinha.fedorapeople.org/genesis-simulator/genesis-simulator.spec

https://ankursinha.fedorapeople.org/genesis-simulator/genesis-simulator-2.4-1.20181209git374cdbc.fc29.src.rpm

Cheers!
Ankur

Comment 3 Robert-André Mauchin 2018-12-12 23:52:51 UTC
LGTM, package approved.

Comment 4 Ankur Sinha (FranciscoD) 2018-12-12 23:57:56 UTC
Thanks! SCM requested: https://pagure.io/releng/fedora-scm-requests/issue/9250

Comment 5 Gwyn Ciesla 2018-12-13 14:46:31 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/genesis-simulator

Comment 6 Fedora Update System 2018-12-13 23:24:19 UTC
genesis-simulator-2.4-1.20181209git374cdbc.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-591d5e5ee6

Comment 7 Fedora Update System 2018-12-13 23:24:22 UTC
genesis-simulator-2.4-1.20181209git374cdbc.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c94ee65d76

Comment 8 Fedora Update System 2018-12-15 03:19:43 UTC
genesis-simulator-2.4-1.20181209git374cdbc.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c94ee65d76

Comment 9 Fedora Update System 2018-12-27 01:50:47 UTC
genesis-simulator-2.4-1.20181209git374cdbc.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-12-28 05:12:32 UTC
genesis-simulator-2.4-1.20181209git374cdbc.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.